Callgrind Annotate
1
May 13, 2003

# callgrind_annotate

produces human readable ASCII output from profile information in `callgrind.out.<pid>` files

        callgrind_annotate
        options
        source-files

## Description

This manual page documents briefly the `callgrind_annotate` command. This manual page was written for the Debian distribution because the original program does not have a manual page.

## Options

This program follows the usual GNU command line syntax, with long options starting with two dashes ('--'). A summary of options is included below.

`-h, --help`

  Show summary of options.

`--version`

  Show version of callgrind_annotate.

`--show=A,B,C [default: all]`

  only show figures for events A,B,C

`--sort=A,B,C`

  sort columns by events A,B,C [event column order]

`--threshold=<0--100> [default: 99%]`

  percentage of counts (of primary sort event) we are interested in

`--auto=<yes|no> [default: no]`

  annotate all source files containing functions that helped reach the event count threshold

`--context=N [default: 8]`

  print N lines of context before and after annotated lines

`--cumulative=<yes|no> [default: no]`

  add subroutine costs to functions calls

`--tree=<none|caller|calling|both> [default: none]`

  print for each function their callers, the called functions or both

`-I, --include=<dir>`

  add <dir> to the list of directories to search for source files

## See Also

`&cl-doc-path;`

## Author

This manual page was written by Philipp Frauenfelder <pfrauenf@debian.org>, for the Debian GNU/Linux system (but may be used by others).